Bug 1033668 - manual crash command to run 32-bit vmcores has a minor problem - should be enclosed in double quotes
Summary: manual crash command to run 32-bit vmcores has a minor problem - should be en...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server
Version: el6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michal Toman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: TestCaseProvided
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-22 15:05 UTC by Dave Wysochanski
Modified: 2015-03-23 00:42 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-15 18:58:06 UTC


Attachments (Terms of Use)

Description Dave Wysochanski 2013-11-22 15:05:49 UTC
Description of problem:

Here's what I get when I invoke retrace-server-interact, which tells me the command to use.  It looks like we need double quotes around the crash command, i.e. "crash -i ... vmlinux"

$ retrace-server-interact 466914912 crash
If you want to execute the command manually, you can run
$ /usr/bin/mock --configdir /cores/retrace/tasks/466914912-kernel shell crash -i /cores/retrace/tasks/466914912/crashrc /cores/retrace/tasks/466914912/crash/vmcore /cores/retrace/repos/kernel/i386/usr/lib/debug/lib/modules/2.6.18-274.7.1.el5PAE/vmlinux

INFO: mock.py version 1.1.35 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: lock buildroot
Start: device setup
Finish: device setup
Start: shell

crash 6.0.4-2.el6
Copyright (C) 2002-2012  Red Hat, Inc.
...
...


I try the command it tells me to invoke crash manually and get an error:
$ /usr/bin/mock
--configdir /cores/retrace/tasks/466914912-kernel shell crash
-i /cores/retrace/tasks/466914912/crashrc /cores/retrace/tasks/466914912/crash/vmcore /cores/retrace/repos/kernel/i386/usr/lib/debug/lib/modules/2.6.18-274.7.1.el5PAE/vmlinux
Usage: 
    usage:
           mock [options]
{--init|--clean|--scrub=[all,chroot,cache,root-cache,c-cache,yum-cache]}
           mock [options] [--rebuild] /path/to/srpm(s)
           mock [options] --buildsrpm {--spec /path/to/spec
--sources /path/to/src|--scm-enable [--scm-option key=value]}
           mock [options] {--shell|--chroot} <cmd>
           mock [options] --installdeps {SRPM|RPM}
           mock [options] --install PACKAGE
           mock [options] --copyin path [..path] destination
           mock [options] --copyout path [..path] destination
           mock [options] --scm-enable [--scm-option key=value]


mock: error: no such option: -i

But I think all we need to do is enclose the crash command with double quotes:

[dwysocha@optimus misc]$ /usr/bin/mock --configdir /cores/retrace/tasks/466914912-kernel shell "crash -i /cores/retrace/tasks/466914912/crashrc /cores/retrace/tasks/466914912/crash/vmcore /cores/retrace/repos/kernel/i386/usr/lib/debug/lib/modules/2.6.18-274.7.1.el5PAE/vmlinux"
INFO: mock.py version 1.1.35 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: lock buildroot
Start: device setup
Finish: device setup
Start: shell

crash 6.0.4-2.el6
Copyright (C) 2002-2012  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation



Version-Release number of selected component (if applicable):
retrace-server-1.10-1.el6.noarch


How reproducible:
Every time.


Steps to Reproduce:
1.  Queue a 32-bit vmcore.  Run "retrace-server-interact <taskid> crash" and observe the 'manual command' given to run crash.
2.  Exit the intitial crash session.
3.  Try to invoke crash with the command given by 'retrace-server-interact'


Additional info:
This should be easy to fix (only gotcha might be some quoting, not sure) but is low priority.

Comment 1 Michal Toman 2014-02-26 09:16:14 UTC
Fixed in upstream

commit bedcd44421e8dd55da3143e355b7fe88d636bf4b
Author: Michal Toman <mtoman@redhat.com>
Date:   Wed Feb 26 10:11:23 2014 +0100

    rs-interact: use subprocess.list2cmdline() to format command line
    
    Signed-off-by: Michal Toman <mtoman@redhat.com>

Comment 2 Fedora Update System 2014-02-27 13:46:45 UTC
retrace-server-1.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/retrace-server-1.11-1.el6

Comment 3 Fedora Update System 2014-03-01 07:11:45 UTC
Package retrace-server-1.11-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing retrace-server-1.11-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0687/retrace-server-1.11-1.el6
then log in and leave karma (feedback).

Comment 5 Dave Wysochanski 2014-03-07 20:53:54 UTC
This looks fixed to me.

Comment 6 Fedora Update System 2014-07-31 11:52:48 UTC
retrace-server-1.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/retrace-server-1.12-2.el6

Comment 8 Fedora Update System 2014-08-15 18:58:06 UTC
retrace-server-1.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.